---

- name: "5.3.[1,2,3] Configure authselect"
  become: true
  ignore_errors: true
  block:
    - name: "5.3.[1,2,3] Check if a custom profile exists"
      ansible.builtin.command: >
        /bin/authselect select --force
        custom/{{ os_hardening_authselect_profile }}
      register: authselect_profile
    - name: "5.3.[1,2,3] Create the authselect custom profile"
      ansible.builtin.shell: >
        /bin/authselect create-profile
        {{ os_hardening_authselect_profile }} -b sssd --symlink-meta

        /bin/authselect select custom/{{ os_hardening_authselect_profile }}
        with-sudo with-faillock without-nullok
      when: authselect_profile.rc != 0
  tags:
    - 5.3.1
    - 5.3.2
    - 5.3.3
